﻿using System;
using System.Linq;
using Xunit;
using SubSpec;
using Xunit.Sdk;
using Moq;

public class SpecificationAttributeFacts
{
	[Fact]
	public void ReportsExceptionWhenFailingToEnumerateTestCommands()
	{
		SpecificationAttribute attribute = new SpecificationAttribute();

        var mock = new Mock<IMethodInfo>(MockBehavior.Loose);
        
        var commands = attribute.CreateTestCommands(mock.Object);

		Assert.IsType<ExceptionTestCommand>(commands.Single());
	}
}
